Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUCtrlHierTypeBinding

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef
oracle.jbo.uicli.binding.JUCtrlHierTypeBinding`

All Implemented Interfaces:
  oracle.jbo.rules.ValidationManager

Direct Known Subclasses:
  JUTreeAccessorTypeBinding, JUTreeDiscrAttrTypeBinding

public class JUCtrlHierTypeBinding
extends JUCtrlValueDef

Field Summary
`protected java.lang.String[]` | `mChildAccessorNames`
`protected java.lang.String` | `mDiscrColumnName`
`protected java.lang.Object` | `mDiscrColumnValue`
`protected java.lang.String` | `mViewInstanceName`
`protected java.lang.String` | `mVODefName`
`static java.lang.String` | `PNAME_AccessorName`
`static java.lang.String` | `PNAME_ClosedIconName`
`static java.lang.String` | `PNAME_DiscrColumnName`
`static java.lang.String` | `PNAME_DiscrColumnValue`
`static java.lang.String` | `PNAME_IconName`
`static java.lang.String` | `PNAME_OpenIconName`
`static java.lang.String` | `PNAME_TYPE`
`static java.lang.String` | `PNAME_ViewDefName`
`static java.lang.String` | `PNAME_ViewInstanceName`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`DEFAULT_HANDLER, PNAME_ApplyValidation, PNAME_AttrNames, PNAME_InputHandler, PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUCtrlHierTypeBinding()`
`JUCtrlHierTypeBinding(java.lang.String voTypeName, java.lang.String discrColumnName, java.lang.String discrColumnValue, java.lang.String accessorName, java.lang.String attrName, javax.swing.Icon leafIcon, javax.swing.Icon openIcon, javax.swing.Icon closedIcon)`

Method Summary
`protected JUCtrlHierTypeBinding` | `cloneType()` For Framework internal use only
`protected DCControlBinding` | `createControlBindingInstance(java.lang.Object control, DCBindingContainer formBnd)` For Framework internal use only
`java.lang.String` | `getAccessorName()` For Framework internal use only
`java.lang.String[]` | `getAccessorNames()` For Framework internal use only
`java.lang.String` | `getAttributeName()` For Framework internal use only
`javax.swing.Icon` | `getClosedIcon()` For Framework internal use only
`java.lang.String` | `getClosedIconName()` For Framework internal use only
`java.lang.String` | `getDiscrColumnName()` For Framework internal use only
`java.lang.Object` | `getDiscrColumnValue()` For Framework internal use only
`javax.swing.Icon` | `getLeafIcon()` For Framework internal use only
`java.lang.String` | `getLeafIconName()` For Framework internal use only
`javax.swing.Icon` | `getOpenIcon()` For Framework internal use only
`java.lang.String` | `getOpenIconName()` For Framework internal use only
`java.lang.String` | `getStructureDefName()` For Framework internal use only
`java.lang.String` | `getViewDefName()` Deprecated. since 10.1.3 use getStructureDefName instead.
`java.lang.String` | `getViewInstanceName()` For Framework internal use only
`java.lang.String` | `getXMLElementTag()` For Framework internal use only
`boolean` | `hasIcon()` For Framework internal use only
`void` | `init(java.util.HashMap initValues)` For Framework internal use only
`boolean` | `isDiscrColumnType()` Returns false as this type of node does not support discriminator columns.
`protected void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)` For Framework internal use only
`boolean` | `matchRowDiscrColumn(Row row)` Returns true if the given row has an attribute value for the discriminator attribute that this node type is interested in, such that that attribute value matches this type's discriminator attribute value.
`boolean` | `matchViewObjectType(java.lang.String str)` Returns true if the given string matches the fully-qualified ViewObject definition name that this node-type is supposed to display.
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)` For Framework internal use only

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`addValidator, createControlBinding, getAttrNames, getCustomInputHandler, getFirstAttrName, getIterBinding, getMessageBundleClass, getNullValueId, getNullValueObject, getValidators, hasCustomInputHandler, isApplyValidation, loadCustomDef, loadFromXML, setApplyValidation, setCustomInputHandler, setNullValueObject`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### mVODefName

    protected java.lang.String mVODefName

### mDiscrColumnName

    protected java.lang.String mDiscrColumnName

### mDiscrColumnValue

    protected java.lang.Object mDiscrColumnValue

### mChildAccessorNames

    protected java.lang.String[] mChildAccessorNames

### mViewInstanceName

    protected java.lang.String mViewInstanceName

### PNAME_TYPE

    public static final java.lang.String PNAME_TYPE

  See Also:
    Constant Field Values

### PNAME_ViewDefName

    public static final java.lang.String PNAME_ViewDefName

  See Also:
    Constant Field Values

### PNAME_DiscrColumnName

    public static final java.lang.String PNAME_DiscrColumnName

  See Also:
    Constant Field Values

### PNAME_DiscrColumnValue

    public static final java.lang.String PNAME_DiscrColumnValue

  See Also:
    Constant Field Values

### PNAME_AccessorName

    public static final java.lang.String PNAME_AccessorName

  See Also:
    Constant Field Values

### PNAME_IconName

    public static final java.lang.String PNAME_IconName

  See Also:
    Constant Field Values

### PNAME_OpenIconName

    public static final java.lang.String PNAME_OpenIconName

  See Also:
    Constant Field Values

### PNAME_ClosedIconName

    public static final java.lang.String PNAME_ClosedIconName

  See Also:
    Constant Field Values

### PNAME_ViewInstanceName

    public static final java.lang.String PNAME_ViewInstanceName

  See Also:
    Constant Field Values

Constructor Detail

### JUCtrlHierTypeBinding

    public JUCtrlHierTypeBinding()

### JUCtrlHierTypeBinding

    public JUCtrlHierTypeBinding(java.lang.String voTypeName,
                                 java.lang.String discrColumnName,
                                 java.lang.String discrColumnValue,
                                 java.lang.String accessorName,
                                 java.lang.String attrName,
                                 javax.swing.Icon leafIcon,
                                 javax.swing.Icon openIcon,
                                 javax.swing.Icon closedIcon)

Method Detail

### init

    public void init(java.util.HashMap initValues)

  For Framework internal use only
  Overrides:
    `init` in class `JUCtrlValueDef`

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  For Framework internal use only
  Overrides:
    `getXMLElementTag` in class `DCControlBindingDef`

### getStructureDefName

    public java.lang.String getStructureDefName()

  For Framework internal use only

### getViewDefName

    public java.lang.String getViewDefName()

  Deprecated. since 10.1.3 use getStructureDefName instead.
  For Framework internal use only

### getViewInstanceName

    public java.lang.String getViewInstanceName()

  For Framework internal use only

### getDiscrColumnName

    public java.lang.String getDiscrColumnName()

  For Framework internal use only

### getDiscrColumnValue

    public java.lang.Object getDiscrColumnValue()

  For Framework internal use only

### getAccessorName

    public java.lang.String getAccessorName()

  For Framework internal use only

### getAttributeName

    public java.lang.String getAttributeName()

  For Framework internal use only

### getAccessorNames

    public java.lang.String[] getAccessorNames()

  For Framework internal use only

### hasIcon

    public boolean hasIcon()

  For Framework internal use only

### getLeafIconName

    public java.lang.String getLeafIconName()

  For Framework internal use only

### getOpenIconName

    public java.lang.String getOpenIconName()

  For Framework internal use only

### getClosedIconName

    public java.lang.String getClosedIconName()

  For Framework internal use only

### getLeafIcon

    public javax.swing.Icon getLeafIcon()

  For Framework internal use only

### getOpenIcon

    public javax.swing.Icon getOpenIcon()

  For Framework internal use only

### getClosedIcon

    public javax.swing.Icon getClosedIcon()

  For Framework internal use only

### matchViewObjectType

    public boolean matchViewObjectType(java.lang.String str)

  Returns true if the given string matches the fully-qualified ViewObject definition name that this node-type is supposed to display.

### matchRowDiscrColumn

    public boolean matchRowDiscrColumn(Row row)

  Returns true if the given row has an attribute value for the discriminator attribute that this node type is interested in, such that that attribute value matches this type's discriminator attribute value.

### isDiscrColumnType

    public boolean isDiscrColumnType()

  Returns false as this type of node does not support discriminator columns.

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  For Framework internal use only
  Overrides:
    `retrieveFromXML` in class `DCControlBindingDef`

### loadChildrenFromXML

    protected void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  For Framework internal use only
  Overrides:
    `loadChildrenFromXML` in class `JUCtrlValueDef`

### createControlBindingInstance

    protected DCControlBinding createControlBindingInstance(java.lang.Object control,
                                                            DCBindingContainer formBnd)

  For Framework internal use only
  Specified by:
    `createControlBindingInstance` in class `DCControlBindingDef`

### cloneType

    protected JUCtrlHierTypeBinding cloneType()

  For Framework internal use only

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.